ScimQuerySelectionMode

class oci.data_safe.models.ScimQuerySelectionMode(**kwargs)

Bases: SelectionDetails

Indicates that the selection is a scimQuery.

Attributes:

SELECTION_MODE_LIST

A constant which can be used with the selection_mode property of a SelectionDetails.

SELECTION_MODE_SCIM_QUERY

A constant which can be used with the selection_mode property of a SelectionDetails.

scim_query

[Required] Gets the scim_query of this ScimQuerySelectionMode.

selection_mode

[Required] Gets the selection_mode of this SelectionDetails.

Methods:

__init__(**kwargs)

Initializes a new ScimQuerySelectionMode object with values from keyword arguments.

get_subtype(object_dictionary)

Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.

SELECTION_MODE_LIST = 'LIST'

A constant which can be used with the selection_mode property of a SelectionDetails. This constant has a value of “LIST”

SELECTION_MODE_SCIM_QUERY = 'SCIM_QUERY'

A constant which can be used with the selection_mode property of a SelectionDetails. This constant has a value of “SCIM_QUERY”

__init__(**kwargs)

Initializes a new ScimQuerySelectionMode object with values from keyword arguments. The default value of the selection_mode attribute of this class is SCIM_QUERY and it should not be changed. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • selection_mode (str) – The value to assign to the selection_mode property of this ScimQuerySelectionMode. Allowed values for this property are: “LIST”, “SCIM_QUERY”

  • scim_query (str) – The value to assign to the scim_query property of this ScimQuerySelectionMode.

static get_subtype(object_dictionary)

Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.

property scim_query

[Required] Gets the scim_query of this ScimQuerySelectionMode. The scimQuery query parameter accepts filter expressions that use the syntax described in Section 3.2.2.2 of the System for Cross-Domain Identity Management (SCIM) specification, which is available at RFC3339. In SCIM filtering expressions, text, date, and time values must be enclosed in quotation marks, with date and time values using ISO-8601 format. (Numeric and boolean values should not be quoted.)

Example: query=(dbUserName eq “PAY_APP”)

Returns

The scim_query of this ScimQuerySelectionMode.

Return type

str

property selection_mode

[Required] Gets the selection_mode of this SelectionDetails. The mode of selection of items, whether it is a list of ocids or a scimQuery. Allowed values: - LIST - SCIM_QUERY

Allowed values for this property are: “LIST”, “SCIM_QUERY”

Returns

The selection_mode of this SelectionDetails.

Return type

str